Subject: Re: [PATCH 1/4] stmmac: thinking about a generic driver for Synopsys Controllers.

From: Giuseppe CAVALLARO <[email-masked]>
Date: Thu, 03 Dec 2009 11:42:30 +0100

Giuseppe CAVALLARO wrote:
> The idea behind this patch is to start thinking about a
> generic driver for Synopsys Ethernet Controllers
> starting from the stmmac device driver.
> In the future, the stmmac could be also renamed as "synmac";
> I'd like to see it working on other systems with other CPUs
> (ARM, SH) and other Synopsys Ethernet IPs.

Folks,
after releasing the first version of this driver, many people contacted
me asking to candidate the stmmac as generic device driver for Synopsys.
So this is the meaning of this patch I'm sending the Community.
I do hope that could help other developers.

The driver continues to work on stlinux platforms (tested on several
board with mac100 and gmac controllers).

I'm also thinking to rename the driver as "synmac" (instead of stmmac).
What do you think?
Welcome advice and review as usual.

Regards,
Peppe